Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Interface TreeReader

All Known Implementing Classes:
  FragDiscardingPennTreeReader, PennTreeReader

    public interface TreeReader

A `TreeReader` adds functionality to another `Reader` by reading in Trees, or some descendant class.

Author:
  Christopher Manning, Roger Levy (mod. 2003/01)

Method Summary
`void` | `close()` Close the Reader behind this `TreeReader`.
`Tree` | `readTree()` Reads a single tree.

Method Detail

### readTree

    Tree readTree()
                  throws IOException

  Reads a single tree.

  Returns:
    A single tree, or `null` at end of file.
  Throws:
    `IOException`

### close

    void close()
               throws IOException

  Close the Reader behind this `TreeReader`.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group